{-# OPTIONS -fth -fglasgow-exts #-}

module GenericHaskell.Main where

import Control.Monad
import Language.Haskell.THSyntax

import Common.EP
import Common.Util
import Common.THUtil
import GenericHaskell.GH
import GenericHaskell.Map
import GenericHaskell.Datatypes

$(structure listD)
$(structure roseD)
$(structure groseD)
$(structure epD)
$(structure pairD)

$(instantiate gmapG listD)
$(instantiate gmapG groseD)

mapGRose    = gmap__dGenericHaskellziDatatypesZCGRose
mapList	    = gmap__dGHCziBaseZCZMZN

